Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WGrid
Class WGridTableView

    java.lang.Object
      LumiSoft.UI.Controls.WGrid.WGridTableView

    public class WGridTableView

extends java.lang.Object

Provides tabular data view for WGridControl

Constructor Summary
`WGridTableView(WGridControl grid)` Default constructor.

Method Summary
`void` | `ClearSelection()` Clears view selected rows.
`WGridTableView` | `Clone()` Clones grid view.
`void` | `DeleteActiveRow()` Deletes active row.
`void` | `Dispose()` Clean up any resources being used.
`WBaseEditor` | `getActiveEditor()` Gets currently active editor or null if no active editor.
`DataRowView` | `getActiveRow()` Gets currently active row or null if no active row.
`boolean` | `getAlwaysShowMaximize()` Gets if maximize/minimaize button is shown to Main grid view.
`java.awt.Rectangle` | `getBounds()` Gets view bounding rectangle.
`Columns` | `getColumns()` Gets columns collection.
`boolean` | `getColumnsVisible()` Gets if columns are visible.
`DataRelation` | `getDataRelation()` Gets detail view datarelation.
`DataView` | `getDataSource()` Gets grid data source.
`WGridTableView` | `getDetailView()` Gets detail view of this view.
`boolean` | `getEditable()` Gets if data is editable.
`boolean` | `getEnterKeyDoubleClicks()` Gets if enter key simulates mouse double click or moves next.
`boolean` | `getFootherVisible()` Gets if foother is visible.
`WGridControl` | `getGrid()` Gets view owner grid control.
`boolean` | `getMasterDetail()` Gets is view is master/detail view.
`boolean` | `getMultiSelect()` Gets if multiple selection is allowed.
`boolean` | `getRowIndicatorsVisible()` Gets if row indicators are visible.
`DataRowView[]` | `getSelectedRows()` Returns currently selected rows.
`java.lang.Object` | `getTag()` Gets tag (user data).
`boolean` | `IsActiveRowModified()` Gets if active row is modified.
`void` | `MoveNext()` Moves current column to next column or if last column, then moves to next row.
`void` | `Repaint()` Repaints table view.
`void` | `SelectFirstEditableColumn()` Selects first editable column in active row.
`void` | `setAlwaysShowMaximize(boolean value)` Sets if maximize/minimaize button is shown to Main grid view.
`void` | `setColumnsVisible(boolean value)` Sets if columns are visible.
`void` | `setDataRelation(DataRelation value)` Sets detail view datarelation.
`void` | `setDataSource(DataTable table)` Sets grid data source.
`void` | `setDataSource(DataView table)` Sets grid data source.
`void` | `setDetailView(WGridTableView value)` Sets detail view of this view.
`void` | `setEditable(boolean value)` Sets if data is editable.
`void` | `setEnterKeyDoubleClicks(boolean value)` Sets if enter key simulates mouse double click or moves next.
`void` | `setFootherVisible(boolean value)` Sets if foother is visible.
`void` | `setMultiSelect(boolean value)` Sets if multiple selection is allowed.
`void` | `setRowIndicatorsVisible(boolean value)` Sets if row indicators are visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WGridTableView

    public WGridTableView(WGridControl grid)

  Default constructor.

  Parameters:
    `grid` -

Method Detail

### Dispose

    public void Dispose()

  Clean up any resources being used.

### Clone

    public WGridTableView Clone()
                         throws java.lang.Exception

  Clones grid view.

  Returns:
  Throws:
    `java.lang.Exception`

### Repaint

    public void Repaint()

  Repaints table view.

### ClearSelection

    public void ClearSelection()

  Clears view selected rows.

### SelectFirstEditableColumn

    public void SelectFirstEditableColumn()

  Selects first editable column in active row.

### IsActiveRowModified

    public boolean IsActiveRowModified()

  Gets if active row is modified.

  Returns:
    If some of the active row values modified, returns true. If no active row, returns false.

### DeleteActiveRow

    public void DeleteActiveRow()

  Deletes active row.

### MoveNext

    public void MoveNext()

  Moves current column to next column or if last column, then moves to next row.

### getDataSource

    public DataView getDataSource()

  Gets grid data source.

  Returns:

### setDataSource

    public void setDataSource(DataTable table)

  Sets grid data source.

  Parameters:
    `table` -

### setDataSource

    public void setDataSource(DataView table)

  Sets grid data source.

  Parameters:
    `table` -

### getDetailView

    public WGridTableView getDetailView()

  Gets detail view of this view.

  Returns:

### setDetailView

    public void setDetailView(WGridTableView value)

  Sets detail view of this view. NOTE: you also need to specify this.setDataRelation to make view master/detail.

  Parameters:
    `value` -

### getDataRelation

    public DataRelation getDataRelation()

  Gets detail view datarelation.

  Returns:

### setDataRelation

    public void setDataRelation(DataRelation value)

  Sets detail view datarelation.

  Parameters:
    `value` -

### getMasterDetail

    public boolean getMasterDetail()

  Gets is view is master/detail view.

  Returns:

### getEditable

    public boolean getEditable()

  Gets if data is editable.

  Returns:

### setEditable

    public void setEditable(boolean value)

  Sets if data is editable.

  Parameters:
    `value` -

### getAlwaysShowMaximize

    public boolean getAlwaysShowMaximize()

  Gets if maximize/minimaize button is shown to Main grid view.

  Returns:

### setAlwaysShowMaximize

    public void setAlwaysShowMaximize(boolean value)

  Sets if maximize/minimaize button is shown to Main grid view.

### getEnterKeyDoubleClicks

    public boolean getEnterKeyDoubleClicks()

  Gets if enter key simulates mouse double click or moves next.

  Returns:

### setEnterKeyDoubleClicks

    public void setEnterKeyDoubleClicks(boolean value)

  Sets if enter key simulates mouse double click or moves next.

  Parameters:
    `value` -

### getColumnsVisible

    public boolean getColumnsVisible()

  Gets if columns are visible.

  Returns:

### setColumnsVisible

    public void setColumnsVisible(boolean value)

  Sets if columns are visible.

  Parameters:
    `value` -

### getRowIndicatorsVisible

    public boolean getRowIndicatorsVisible()

  Gets if row indicators are visible.

  Returns:

### setRowIndicatorsVisible

    public void setRowIndicatorsVisible(boolean value)

  Sets if row indicators are visible.

  Parameters:
    `value` -

### getFootherVisible

    public boolean getFootherVisible()

  Gets if foother is visible.

  Returns:

### setFootherVisible

    public void setFootherVisible(boolean value)

  Sets if foother is visible.

  Parameters:
    `value` -

### getMultiSelect

    public boolean getMultiSelect()

  Gets if multiple selection is allowed.

  Returns:

### setMultiSelect

    public void setMultiSelect(boolean value)

  Sets if multiple selection is allowed.

  Parameters:
    `value` -

### getColumns

    public Columns getColumns()

  Gets columns collection.

  Returns:

### getBounds

    public java.awt.Rectangle getBounds()

  Gets view bounding rectangle.

  Returns:

### getActiveEditor

    public WBaseEditor getActiveEditor()

  Gets currently active editor or null if no active editor.

  Returns:

### getActiveRow

    public DataRowView getActiveRow()

  Gets currently active row or null if no active row.

  Returns:

### getSelectedRows

    public DataRowView[] getSelectedRows()

  Returns currently selected rows.

  Returns:

### getTag

    public java.lang.Object getTag()

  Gets tag (user data).

  Returns:

### getGrid

    public WGridControl getGrid()

  Gets view owner grid control.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD